[Previous] [Next] [Contents]

## `TYP::IsDiagonal` -- tests whether the argument is a diagonal encoding of a partition

#### Call(s)

`TYP::IsDiagonal(expr)`

#### Parameters

`expr` | - | any expression

#### Introduction

The `TYP::IsDiagonal` function tests whether `expr` denotes a coding of all diagonals of a partition. The argument `expr` must be a list of two components `[dl, o]` where `dl` is a list of diagonals and `o` the integer denoting the position of the main diagonal of the diagram of the partition.

#### Example 1

    >> muEC::TYP::IsDiagonal( [[1, 2, 2, 1, 1, 1], 3] );

                                       TRUE

#### Related Functions

`IsPart`, `IsBorder`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package